#!/bin/bash 

#script to call other scripts in this directory

LOG=yes
BUILDIR=$(pwd)

###################################################################

#check for root
	if [[ $EUID -ne 0 ]]; then
	   echo "$red Only root may run this script." 1>&2
	tput sgr0
  	 exit 1
	fi

#check shell for correct current working directory
	if [ $(basename `pwd`) = 'build' ]; then 
	echo '..............................................'
	else 
	echo "$red You have not called me from the 'build' directory. Try again."
	tput sgr0
	exit 
	fi

##################################################################

chmod +x $BUILDIR/*.sh

echo ""
echo "(1) Build new chroot (logged)"
echo "(2) Build new chroot (not logged)"
echo "(3) Enter existing chroot for manual prompt"
echo "(4) Build iso from chroot"
echo "(5) Remaster existing live-cd.iso"
echo "(6) Purge build directories"
echo "(7) Fix umount (proc and sys umount issues)"
echo "(8) Any other key to exit"
echo ""
echo '..............................................'
echo "Enter (1-8)"
echo ""


read REPLY

if [ "$REPLY" = "1" ];

then
echo "Executing build-chroot.sh. Log will be written to log.txt..."
./build-chroot.sh|tee log.txt
chmod 666 log.txt

elif [ "$REPLY" = "2" ];
then
echo "Executing build-chroot.sh..."
./build-chroot.sh

elif [ "$REPLY" = "3" ];
then
echo "Executing enter-chroot.sh..."
./enter-chroot.sh

elif [ "$REPLY" = "4" ];
then
echo "Executing build-iso.sh..."
./build-iso.sh

elif [ "$REPLY" = "5" ];
then
echo "Executing remaster.sh..."
./remaster.sh


elif [ "$REPLY" = "6" ];
then
echo "Executing purge-buildir.sh..."
./purge-buildir.sh

elif [ "$REPLY" = "7" ];
then
echo "Executing fix-umount.sh..."
./fix-umount.sh

else
exit

fi

echo ""
echo "Done. Exiting build.sh"
echo ""
