#!/bin/bash

#run smxi in chroot

echo "Script to call smxi in a chroot. X must first be closed."
echo
read -p "Type the full path to your chroot here:	"

CHROOT=$REPLY

#fix network
cp -a /etc/hosts $CHROOT/etc

#get resolvconf going with opendns
rm -f $CHROOT/etc/resolv.conf
touch $CHROOT/etc/resolv.conf
echo "nameserver 208.67.222.222" > $CHROOT/etc/resolv.conf
echo "nameserver 208.67.220.220" >> $CHROOT/etc/resolv.conf

#smxi needs a menu.lst present
mkdir $CHROOT/boot/grub
touch $CHROOT/boot/grub/menu.lst

#mount these in chroot

mount -t proc proc $CHROOT/proc
mount -t sysfs none $CHROOT/sys
mount -t devpts none $CHROOT/dev/pts
mount -o bind /dev/ $CHROOT/dev

#chroot and start smxi........"exit" to leave
chroot $CHROOT smxi

#leave as it was
rm -f $CHROOT/etc/hosts
rm -r $CHROOT/boot/grub

#normalise resolvconf
rm -f $CHROOT/etc/resolv.conf
cp -a $CHROOT/etc/resolv.conf.link $CHROOT/etc/resolv.conf

#stop and check mounts in chroot

umount $CHROOT/proc
umount $CHROOT/sys
umount $CHROOT/dev/pts
umount $CHROOT/dev

echo

umount $CHROOT/proc
umount $CHROOT/sys
umount $CHROOT/dev/pts
umount $CHROOT/dev

echo
fuser -m $CHROOT
echo "If 'device busy' warning above, proc and dev failed to unmount. Run ' ./fix-umount.sh ' to fix. "
