#!/bin/bash

source /scripts/config

# Check for root
if [ `id -u` != "0" ]; then
	echo "This script must be run as root. You are not root."
	exit 1
fi

# check for bootstrap chroot session (/home will be empty if so)
if [ $(ls -1A /home | wc -l) -eq 0 ]; then 
echo "chroot check OK. "
echo 
else
echo "This is not a chroot bootstrap session! Cannot continue."
exit
fi

echo "Running script 'exegnu.sh'."
echo ""
echo "This script will install custom packages from exegnu sources:"
echo ""
echo "ceni"
echo "exegnu2usb (live usb boot script)"
echo "exegnu-scripts"
echo "exegnu-trinity-theme"
echo "exegnu-userdefaults-trinity"
echo "gnomad2 (not available in Debian Squeeze) and it's deps, for Creative Zen jukebox" 
echo "grub-gfxboot (graphical grub splash)" 
echo "gfxboot-theme-exegnu01 (gfx splash theme)"
echo "inxi"
echo "live-config-trinity (custom live-config script to support Trinity)"
echo "exegnu-snapshot (includes installer)"

echo
echo "Continue?      <y/n>"
read REPLY
echo

if [ ! "$REPLY" = "y" ]; then
exit
fi

echo "deb http://www.exe-linux.fastfishwebsolutions.com/apt/ squeeze  main" > /etc/apt/sources.list.d/exegnu.list
apt-get update

for i in exegnu-snapshot exegnu-scripts exegnu-trinity-theme ceni exegnu-userdefaults-trinity exegnu2usb gnomad2 inxi live-config-trinity
do
apt-get install --allow-unauthenticated $i
done

	if [ "$GFXBOOT" = "yes" ]; then
	apt-get install --allow-unauthenticated grub-gfxboot
	apt-get install --allow-unauthenticated gfxboot-theme-exegnu01
	
	sed -i 's_color_#color_g' /scripts/menu.lst && sed -i 's_#gfxmenu_gfxmenu_g' /scripts/menu.lst

	fi

# make live config file
mkdir /etc/live
cat > /etc/live/config.conf <<EOF

LIVE_USERNAME="user"
LIVE_USER_FULLNAME="ExeGNU Live User"
LIVE_HOSTNAME="exegnu"

EOF

#have to watch out with autoremove

apt-get autoremove

#autoremove removes korganizer-trinity, why?
apt-get install korganizer-trinity
