#!/bin/bash

#script name: enter-chroot.sh
#script location: build/
#script will enter chroot for manual jobs

####################################################################

#variables

######### edit to suit ########

#####################################

BUILDIR=$(pwd)
LIVEISO=$BUILDIR/master/liveiso
SCRIPTS=$BUILDIR/master/scripts
CHROOT=$BUILDIR/master/chroot

red="[1;31m"
yel="[1;33m"
vi="[1;34m"
bl="[1;36m"
pk="[1;35m"
wt="[1;39m"

###############################################################################

# check for root
	if [[ $EUID -ne 0 ]]; then
	   echo "$red Only root may run this script." 1>&2
	tput sgr0
  	 exit 1
	fi

#check shell for correct current working directory
	if [ $(basename `pwd`) = 'build' ]; then 
	echo '......................................'
	else 
	echo "$red You have not called me from the 'build' directory. Try again."
	tput sgr0
	exit 
	fi

cp -avx /etc/hosts $CHROOT/etc



#get resolvconf going with opendns
rm -f $CHROOT/etc/resolv.conf
touch $CHROOT/etc/resolv.conf
echo "nameserver 208.67.222.222" > $CHROOT/etc/resolv.conf
echo "nameserver 208.67.220.220" >> $CHROOT/etc/resolv.conf

mount -t proc proc $CHROOT/proc
mount -t sysfs none $CHROOT/sys
mount -t devpts none $CHROOT/dev/pts
mount -o bind /dev/ $CHROOT/dev


echo "$yel Entering chroot. Type <exit> when ready to leave $red"
chroot $CHROOT
#now in chroot...... <exit> to get out
tput sgr0

chroot $CHROOT dpkg -l|grep ii|awk '{print $2}' >packages.txt && mv packages.txt $CHROOT/packages.txt

echo "$yel Chroot session now closed. Trying to umount proc and dev. Watch out for 'device busy' errors, if so try ./fix-umount.sh or reboot"
tput sgr0

umount $CHROOT/proc
umount $CHROOT/sys
umount $CHROOT/dev/pts
umount $CHROOT/dev

echo
sleep 3
#and again to be sure
umount $CHROOT/proc
umount $CHROOT/sys
umount $CHROOT/dev/pts
umount $CHROOT/dev

rm -f $CHROOT/etc/hosts
rm -f $CHROOT/etc/resolv.conf
cp -a $CHROOT/etc/resolv.conf.link $CHROOT/etc/resolv.conf


#get manifest (package list)
#echo "$yel To update manifest.txt (installed package list) run ./enter-chroot again and paste in this line:"
#echo "dpkg -l|grep ii|awk '{print \$2}' >manifest.txt"

tput sgr0
