#!/bin/bash

#script name: fix-umount.sh
#script location: build/
#script will build a squashfs then a iso from prepared chroot

####################################################################

#variables

BUILDIR=$(pwd)
SCRIPTS=$BUILDIR/master/scripts
CHROOT=$BUILDIR/master/chroot

red="[1;31m"
yel="[1;33m"
vi="[1;34m"
bl="[1;36m"
pk="[1;35m"
wt="[1;39m"

###############################################################################

# check for root
if [[ $EUID -ne 0 ]]; then
   echo "Must be run as root. You are not root." 1>&2
   exit 1
fi

	#check shell for correct current working directory
	if [ $(basename `pwd`) = 'build' ]; then 
	echo '......................................'
	else 
	echo "$red You have not called me from the 'build' directory. Try again."
	tput sgr0
	exit 
	fi

mount -t proc proc $CHROOT/proc
mount -t sysfs none $CHROOT/sys
mount -t devpts none $CHROOT/dev/pts
mount -o bind /dev/ $CHROOT/dev

echo
echo
echo "$yel Script to help fix proc and dev umount errors."
echo
fuser -mv $CHROOT
echo
echo " Listed above are processes currently active in the chroot. (ignore bin/bash, konsole and fix-umount.sh). Try to identify any other process that might prevent /proc or /dev from unmounting"
echo
echo " At the red chroot prompt ' /etc/init.d/SERVICE stop '"
echo
echo "$yel Entering chroot. Type < exit > when ready to leave $red"
echo
chroot $CHROOT
tput sgr0
echo
echo "$yel Leaving chroot. Trying to umount proc and dev, watch for 'device busy' errors. If you can't fix them, must reboot."
echo
tput sgr0
umount $CHROOT/proc
umount $CHROOT/sys
umount $CHROOT/dev/pts
umount $CHROOT/dev
echo
sleep 3
umount $CHROOT/proc
umount $CHROOT/sys
umount $CHROOT/dev/pts
umount $CHROOT/dev
tput sgr0
