#!/bin/bash

#script name: build iso
#script location: build/
#script will build a squashfs then a iso from prepared chroot

####################################################################

#variables

######### edit to suit ########
VERSION=2.6.26-2-686
#####################################

BUILDIR=$(pwd)

FS_DIR=live
FORMAT=squashfs
CD=$BUILDIR/master/cd
SCRIPTS=$BUILDIR/master/scripts
CHROOT=$BUILDIR/master/chroot

red="[1;31m"
yel="[1;33m"
vi="[1;34m"
bl="[1;36m"
pk="[1;35m"
wt="[1;39m"

###############################################################################
echo "$yel This script will delete all files from a previous build, except the live-cd.iso $vi"
tput sgr0

# check for root
	if [[ $EUID -ne 0 ]]; then
	   echo "$red Only root may run this script." 1>&2
	tput sgr0
  	 exit 1
	fi

#check shell for correct current working directory
	if [ $(basename `pwd`) = 'build' ]; then 
	echo '......................................'
	else 
	echo "$red You have not called me from the 'build' directory. Try again."
	tput sgr0
	exit 
	fi

echo
	umount $CHROOT/proc
	umount $CHROOT/sys
	umount $CHROOT/dev/pts
	umount $CHROOT/dev

echo
sleep 2
	umount $CHROOT/proc
	umount $CHROOT/sys
	umount $CHROOT/dev/pts
	umount $CHROOT/dev

echo

echo "Check carefully above for 'device busy' errors"
echo
echo "$red WARNING: If /proc /dev or /sys are still mounted EXIT NOW"
echo
read -p "$bl Continue? (n to exit if unsure)	 <y/n>	"
echo
tput sgr0
if [ "$REPLY" = "y" ]; then

	read -p "$yel Delete previous squashfs?	 <y/n>	"
	if [ "$REPLY" = "y" ]; then
	rm -f $CD/live/*
	fi

		read -p " Delete previous live-cd files?	 <y/n>	"
		if [ "$REPLY" = "y" ]; then
		rm -f $CD/*
		rm -f $CD/boot/*
		rm -f $CD/boot/grub/*
		fi

echo
			read -p " Delete previous chroot?	 <y/n>	"
			if [ "$REPLY" = "y" ]; then
			rm -r $CHROOT/*

			rm -r $SCRIPTS/custom
			rm -f $SCRIPTS/config
			rm -f $SCRIPTS/sources.list
			rm -f $BUILDIR/manifest*.txt
			rm -f $BUILDIR/log.txt

			fi

echo
		read -p " Delete previous iso?	 <y/n>	"
		if [ "$REPLY" = "y" ]; then
		rm -f $BUILDIR/live-cd*
		else 
		mv $BUILDIR/live-cd.iso $BUILDIR/live-cd`date '+%y%m%d_%H%M'`.iso
		fi

tput sgr0
echo
echo "Done"
fi
