#!/bin/bash

# script name: remaster.sh

BUILDIR=$(pwd) #the current working directory
CD=$BUILDIR/master/cd
SCRIPTS=$BUILDIR/master/scripts
CHROOT=$BUILDIR/master/chroot

source config

# check for root
if [[ $EUID -ne 0 ]]; then
   echo "remaster.sh: Must be run as root." 1>&2
   exit 1
fi
#
#check shell for correct current working directory
	if [ $(basename `pwd`) = 'build' ]; then 
	echo '......................................'
	else 
	echo "$red Script must only be called from the 'build' directory. Try again."
	tput sgr0
	exit 
	fi

####################################################################

echo "This script will extract the squash from $BUILDIR/live-cd.iso"

if [ ! -e $BUILDIR/live-cd.iso ]; then
echo ""
echo "$BUILDIR/live-cd.iso does not exist in $BUILDIR (or is wrongly named)"
#echo ""
exit
fi

# check if $CHROOT is empty

if ! [ $(ls -1A $CHROOT | wc -l) -eq 0 ]; then 
echo ""
echo "WARNING: The build directories are not empty! Purge them?  (y/n)"
echo ""
read $REPLY
	if [ $REPLY = y ]; then
	./purge-buildir.sh
	else
	exit
	fi
fi

mount -o loop live-cd.iso /mnt

rm -r $CHROOT

unsquashfs -d $CHROOT /mnt/live/filesystem.squashfs

umount /mnt

echo "Squash extracted. Run './build.sh' to chroot into the filesystem and make changes."